! Copyright (C) GFD Dennou Club, 2000.  All rights reserved.
! そんなわけで、丸投げ

subroutine GTVarPutReal(var, value, nvalue, err)
    use gtdata_types, only: GT_VARIABLE
    use an_generic, only: ANVarPutReal
    use dc_error
    type(GT_VARIABLE), intent(inout):: var
    real, intent(in):: value(*)
    integer, intent(in):: nvalue
    logical, intent(out), optional:: err
    if (associated(var%an)) then
        call AnVarPutReal(var%an, value, nvalue, err)
    else
        call StoreError(GT_EFAKE, "GTVarPutReal, unknown format")
    endif
end subroutine

subroutine GTVarPutDouble(var, value, nvalue, err)
    use gtdata_types, only: GT_VARIABLE
    use an_generic, only: ANVarPutDouble
    use dc_error
    type(GT_VARIABLE), intent(inout):: var
    double precision, intent(in):: value(*)
    integer, intent(in):: nvalue
    logical, intent(out), optional:: err
    if (associated(var%an)) then
        call AnVarPutDouble(var%an, value, nvalue, err)
    else
        call StoreError(GT_EFAKE, "GTVarPutDouble, unknown format")
    endif
end subroutine
